Method: projects.locations.collections.dataStores.controls.list

列出所有控制項及其上層 DataStore。

HTTP 要求


GET https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/controls

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,資料儲存庫資源名稱。格式:projects/{project}/locations/{location}/collections/{collectionId}/dataStores/{dataStoreId} 或 projects/{project}/locations/{location}/collections/{collectionId}/engines/{engineId}。

查詢參數

參數
pageSize

integer

選用。一頁的結果數上限,如未指定,預設值為 50。最大允許值為 1000。

pageToken

string

選用。屬於接收自前一個 controls.list 呼叫的網頁權杖。提供此項目即可擷取後續網頁。

filter

string

選用。要套用至清單結果的篩選器。支援的功能:

  • 如果未設定 filter,請列出父項分支下的所有產品。目前不支援這個欄位。

要求主體

要求主體必須為空白。

回應主體

如果成功,回應主體會包含 ListControlsResponse 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview。

IAM 權限

需要 parent 資源的下列 IAM 權限:

  • discoveryengine.controls.list

詳情請參閱 IAM 說明文件。